<?php

function dirSize($directory) {
    $size = 0;
    foreach(new RecursiveIteratorIterator(new RecursiveDirectoryIterator($directory)) as $file){
        $size+=$file->getSize();
    }
    $mb = 1024 * 1024;
    $size = ($size / $mb);
    return $size;
}

if (isset($_POST['cachesize'])){

    $size_list = dirSize(ROOT_DIR.'/cache/list/');
    $size_menu = dirSize(ROOT_DIR.'/cache/menu/');
    $size_note = dirSize(ROOT_DIR.'/cache/note/');
    $size_pay = dirSize(ROOT_DIR.'/cache/pay/');
    $size_responses = dirSize(ROOT_DIR.'/cache/responses/');
    $size_seller = dirSize(ROOT_DIR.'/cache/seller/');
    $size_dir = $size_list + $size_menu + $size_note + $size_pay + $size_responses + $size_seller;
    $size_dir = round($size_dir,2);

    $_SESSION['size_dir'] = $size_dir;
    $_SESSION['size_list'] = round($size_list / $size_dir * 100);
    $_SESSION['size_menu'] = round($size_menu / $size_dir * 100);
    $_SESSION['size_note'] = round($size_note / $size_dir * 100);
    $_SESSION['size_pay'] = round($size_pay / $size_dir * 100);
    $_SESSION['size_responses'] = round($size_responses / $size_dir * 100);
    $_SESSION['size_seller'] = round($size_seller / $size_dir * 100);

}else{

    $size_list = $_SESSION['size_list'];
    $size_menu = $_SESSION['size_menu'];
    $size_note = $_SESSION['size_note'];
    $size_pay = $_SESSION['size_pay'];
    $size_responses = $_SESSION['size_responses'];
    $size_seller = $_SESSION['size_seller'];
    $size_dir = $_SESSION['size_dir'];


}

if (isset($_SESSION['size_dir'])){
    $cache_button = '<form action="/admin/clean.php" method="post">
              <input type="hidden" name="cleanup" value="'.md5("Ok").'">
              <button type="submit" name="go_clean" class="btn pull-right">Очистить кэш <icon class="icon-trash icon-brown"></icon></button>
        </form>';
}else{
    $cache_button = '<form method="post" action="' . getURL(array('dashboard')) . '">
              <input type="hidden" name="cleanup" value="'.md5("Ok").'">
              <button type="submit" name="cachesize" class="btn pull-right">Обновить <icon class="icon-refresh icon-brown"></icon></button>
        </form>';
}

if (get_magic_quotes_gpc()) {
    function stripslashes_gpc(&$value)
    {
        $value = stripslashes($value);
    }
    array_walk_recursive($_GET, 'stripslashes_gpc');
    array_walk_recursive($_POST, 'stripslashes_gpc');
    array_walk_recursive($_COOKIE, 'stripslashes_gpc');
    array_walk_recursive($_REQUEST, 'stripslashes_gpc');
}

$page = isset($_GET['page']) && $_GET['page'] != 'index' ? $_GET['page'] : 'login';
$id = $_GET['id'];
$date = date('Y-m-d H:i:s', time());
$token = (rand(10000, 99999));

if ($page == 'addpages' or $page == 'editpage' or $page == 'pages') {

    if (isset($id)) {
        $query = mysql_query("SELECT * FROM pages WHERE page_id='" . $id . "'");
        $row = mysql_fetch_array($query);
    }

    if (isset($_POST['go_addpages'])) {
        if (isset($_POST['page_id'])) {
            $page_id = $_POST['page_id'];
            if ($page_id == '') {
                unset($page_id);
            }
        }
        if (isset($_POST['page_alias'])) {
            $page_alias = preg_replace('~[^А-яA-z0-9_]+~u', '-', $_POST['page_alias']);
            $page_alias = mb_strtolower(trim($page_alias,"-"),'UTF-8');

            if ($page_alias == '') {
                unset($page_alias);
            }
        }
        if (isset($_POST['page_title'])) {
            $page_title = $_POST['page_title'];
            if ($page_title == '') {
                unset($page_title);
            }
        }
        if (isset($_POST['page_content'])) {
            $page_content = $_POST['page_content'];
            if ($page_content == '') {
                unset($page_content);
            }
        }
        if (isset($_POST['page_meta_d'])) {
            $page_meta_d = $_POST['page_meta_d'];
            if ($page_meta_d == '') {
                unset($page_meta_d);
            }
        }
        if (isset($_POST['page_meta_k'])) {
            $page_meta_k = $_POST['page_meta_k'];
            if ($page_meta_k == '') {
                unset($page_meta_k);
            }
        }


        if ($page_id != "") {
            $query_action = "UPDATE pages SET page_alias='" . $page_alias . "', page_content='" . mysql_real_escape_string($page_content) . "', page_title='" . mysql_real_escape_string($page_title) . "', page_meta_d='" . mysql_real_escape_string($page_meta_d) . "', page_meta_k='" . mysql_real_escape_string($page_meta_k) . "' WHERE page_id='" . $page_id . "'";
            $notify_text = 'Страница "' . $page_title . '" успешно обновлена!';
        } else {
            $query_action = "INSERT INTO pages SET page_alias='" . $page_alias . "', page_content='" . mysql_real_escape_string($page_content) . "', page_title='" . mysql_real_escape_string($page_title) . "', page_meta_d='" . mysql_real_escape_string($page_meta_d) . "', page_meta_k='" . mysql_real_escape_string($page_meta_k) . "'";
            $notify_text = 'Страница "' . $page_title . '" была успешно добавлена!';
        }

        if (mysql_query($query_action)) {
            $_SESSION['notify'] = '<div class="alert alert-success"><button type="button" class="close" data-dismiss="alert" aria-hidden="true">&times;</button> ' . $notify_text . '</div>';
        } else {
            $_SESSION['notify'] = '<div class="alert alert-error"><button type="button" class="close" data-dismiss="alert" aria-hidden="true">&times;</button> Неудалось обработать базой!</div>';
        }

    }

}


// MYSQL PAGES


if ($page == 'pages') {

//MYSQL GETPAGES

    $query_pages = mysql_query("SELECT * FROM pages;");
    $num_pages = mysql_num_rows($query_pages);
    $html_pages = '';
    for ($i = 0; $i < $num_pages; $i++) {
        $row_pages = mysql_fetch_array($query_pages);
        if ($seourl == 1) {
            $chpu = '../page/' . $row_pages["page_alias"] . '/';
        } else {
            $chpu = '../page.php?alias=' . $row_pages["page_alias"];
        }
        $html_pages = $html_pages . '
        <div class="span2 site-pages">
        <form name="form" method="post" action="' . getURL(array('pages')) . '">
					<a href="' . getURL(array('editpage')) . '&id=' . $row_pages["page_id"] . '" title="Редактировать страницу">
						<span class="btn"><icon class="icon-site-pages"></icon></span>
						<input type="hidden" name="page_id" value="' . $row_pages["page_id"] . '">
						<input type="hidden" name="page_title" value="' . $row_pages["page_title"] . '">
						<input type="image" src="theme/img/remove.png" name="go_page_del" class="page_circle" value="submit" title="Удалить страницу">
						<span class="txt">' . $row_pages["page_title"] . '</span>
					</a>
		</form>
		</div>';
    }
}

//MYSQL NEWS

if ($page == 'addnews' or $page == 'editnews' or $page == 'news') {


    $id = $_GET['id'];
    if (isset($id)) {
        $query = mysql_query("SELECT * FROM news WHERE news_id='" . $id . "'");
        $row = mysql_fetch_array($query);
    }

    if (isset($_POST['go_addnews'])) {
        if (isset($_POST['news_id'])) {
            $news_id = $_POST['news_id'];
            if ($news_id == '') {
                unset($news_id);
            }
        }
        if (isset($_POST['news_alias'])) {
            $news_alias = preg_replace('~[^А-яA-z0-9_]+~u', '-', $_POST['news_alias']);
            $news_alias = mb_strtolower(trim($news_alias,"-"),'UTF-8');
            if ($news_alias == '') {
                unset($news_alias);
            }
        }
        if (isset($_POST['news_title'])) {
            $news_title = $_POST['news_title'];
            if ($news_title == '') {
                unset($news_title);
            }
        }
        if (isset($_POST['news_date'])) {
            $news_date = $_POST['news_date'];
            if ($news_date == '') {
                unset($news_date);
            }
        }
        if (isset($_POST['news_content'])) {
            $news_content = $_POST['news_content'];
            if ($news_content == '') {
                unset($news_content);
            }
        }
        if (isset($_POST['news_meta_d'])) {
            $news_meta_d = $_POST['news_meta_d'];
            if ($news_meta_d == '') {
                unset($news_meta_d);
            }
        }
        if (isset($_POST['news_meta_k'])) {
            $news_meta_k = $_POST['news_meta_k'];
            if ($news_meta_k == '') {
                unset($news_meta_k);
            }
        }


        if ($news_id != "") {
            $query_action = "UPDATE news SET news_alias='" . $news_alias . "', news_date='" . $news_date . "', news_content='" . mysql_real_escape_string($news_content) . "', news_title='" . mysql_real_escape_string($news_title) . "', news_meta_d='" . mysql_real_escape_string($news_meta_d) . "', news_meta_k='" . mysql_real_escape_string($news_meta_k) . "' WHERE news_id='" . $news_id . "'";
            $notify_text = 'Новость "' . $news_title . '" успешно обновлена!';
        } else {
            $query_action = "INSERT INTO news SET news_alias='" . $news_alias . "', news_date='" . $news_date . "', news_content='" . mysql_real_escape_string($news_content) . "', news_title='" . mysql_real_escape_string($news_title) . "', news_meta_d='" . mysql_real_escape_string($news_meta_d) . "', news_meta_k='" . mysql_real_escape_string($news_meta_k) . "'";
            $notify_text = 'Новость "' . $news_title . '" была успешно добавлена!';
        }

        if (mysql_query($query_action)) {
            $_SESSION['notify_news'] = '<div class="alert alert-success"><button type="button" class="close" data-dismiss="alert" aria-hidden="true">&times;</button> ' . $notify_text . '</div>';
        } else {
            $_SESSION['notify_news'] = '<div class="alert alert-error"><button type="button" class="close" data-dismiss="alert" aria-hidden="true">&times;</button> Неудалось обработать базой!</div>';
        }

    }
}

//MYSQL GETNEWS

if ($page == 'news') {

    $news_page = $_GET['p'] ? $_GET['p'] : 0;
    $news_per_page = 10;

    $query_count = mysql_query("SELECT COUNT(*) as count FROM news");
    $row_count = mysql_fetch_assoc($query_count);
    $total = $row_count['count'];

    $nav_news = getPagination($news_page, $news_per_page, $total);

    $news_page == 0 ? $from = $news_per_page * $news_page : $from = $news_per_page * ($news_page - 1);
    $to = $news_per_page;

    $query_news = mysql_query("SELECT * FROM news ORDER by news_date DESC limit " . $from . "," . $to . "");
    $num_news = mysql_num_rows($query_news);
    $html_news = '';
    for ($i = 0; $i < $num_news; $i++) {
        $row_news = mysql_fetch_array($query_news);
        if ($row_news["news_publish"] == 'Y') {
            $des = 'Снять с публикации';
            $icon = 'icon-ok icon-brown';
            $publish = 'go_news_publish_no';
        } else {
            $des = 'Опубликовать';
            $icon = 'icon-ok icon-cream-w';
            $publish = 'go_news_publish';
        }

        if ($seourl == 1) {
            $chpu = $url . '/news/' . $row_news["news_alias"] . '/';
        } else {
            $chpu = $url . '/news.php?alias=' . $row_news["news_alias"];
        }
        $news_page == 0 ? $action = '' : $action = '&p=' . $news_page;
        $html_news = $html_news . '
        <tr>
					<td class="center">' . $row_news["news_date"] . '</td>
					<td><a href="' . $chpu . '">' . $row_news["news_title"] . '</a></td>
					<form name="form" method="post" action="' . getURL(array('news')) . $action . '">
					<td class="center">
					    <input type="hidden" name="news_page" value="' . $news_page . '">
					    <input type="hidden" name="news_title" value="' . $row_news["news_title"] . '">
					    <input type="hidden" name="news_id" value="' . $row_news["news_id"] . '">
					    <input type="image" src="theme/img/invisible.png" class="' . $icon . '" id="publish" name="' . $publish . '" title="' . $des . '" value="submit">
					</td>
				    <td class="center">
                        <a href="' . getURL(array('editnews')) . '&id=' . $row_news["news_id"] . '" class="btn bi btn-success"><icon class="icon-pencil icon-white"></icon></a>
                        <input type="image" src="theme/img/remove.png" name="go_news_del" class="btn btn-danger" value="submit">
					</td>
					</form>
        </tr>';
    }
}


//GETMODULES

if ($page == 'modules') {

    require_once '../modules/list.php';

    for ($i = 0; $i <= count($modules) - 1; $i++) {
        $num = $i + 1;
        if (isset($modules[$i]['url'])) {
            $button_url = '<a href="' . getURL(array('modules')) . $modules[$i]['url'] . '" class="btn"><icon class="icon-pencil icon-brown"></icon> Настройки</a>';
        } else {
            $button_url = '<small>{mod_' . $modules[$i]['name'] . '}</small>';
        }
        $html_modules = $html_modules . '<tr>
					<td class="center">' . $num . '</td>
					<td>' . $modules[$i]['title'] . ' <small>(Версия: ' . $modules[$i]['version'] . ')</small></td>
					<td class="center">' . $modules[$i]['author'] . '</td>
					<td class="center">' . $button_url . '</td>
				</tr>';
    }

    if (isset($_GET['mod'])) {

        $mod = $_GET['mod'];
        if (file_exists('../modules/' . $mod . '/options.php')) require_once '../modules/' . $mod . '/options.php';

    } else {
        require_once 'pages/' . $page . '.php';
    }

}

if ($page == 'dashboard') {


    class PR
    {
        public function get_google_pagerank($url)
        {
            $query = "http://toolbarqueries.google.com/tbr?client=navclient-auto&ch=" . $this->CheckHash($this->HashURL($url)) . "&features=Rank&q=info:" . $url . "&num=100&filter=0";
            $file_headers_pr = @get_headers($query);

            if($file_headers_pr[0] != 'HTTP/1.0 404 Not Found'){
                $data = file_get_contents($query);
            }
            $pos = strpos($data, "Rank_");
            if ($pos === false) {
            } else {
                $pagerank = substr($data, $pos + 9);
                return $pagerank;
            }
        }

        public function StrToNum($Str, $Check, $Magic)
        {
            $Int32Unit = 4294967296; // 2^32
            $length = strlen($Str);
            for ($i = 0; $i < $length; $i++) {
                $Check *= $Magic;
                if ($Check >= $Int32Unit) {
                    $Check = ($Check - $Int32Unit * (int)($Check / $Int32Unit));
                    $Check = ($Check < -2147483648) ? ($Check + $Int32Unit) : $Check;
                }
                $Check += ord($Str{$i});
            }
            return $Check;
        }

        public function HashURL($String)
        {
            $Check1 = $this->StrToNum($String, 0x1505, 0x21);
            $Check2 = $this->StrToNum($String, 0, 0x1003F);
            $Check1 >>= 2;
            $Check1 = (($Check1 >> 4) & 0x3FFFFC0) | ($Check1 & 0x3F);
            $Check1 = (($Check1 >> 4) & 0x3FFC00) | ($Check1 & 0x3FF);
            $Check1 = (($Check1 >> 4) & 0x3C000) | ($Check1 & 0x3FFF);
            $T1 = (((($Check1 & 0x3C0) << 4) | ($Check1 & 0x3C)) << 2) | ($Check2 & 0xF0F);
            $T2 = (((($Check1 & 0xFFFFC000) << 4) | ($Check1 & 0x3C00)) << 0xA) | ($Check2 & 0xF0F0000);
            return ($T1 | $T2);
        }

        public function CheckHash($Hashnum)
        {
            $CheckByte = 0;
            $Flag = 0;
            $HashStr = sprintf('%u', $Hashnum);
            $length = strlen($HashStr);
            for ($i = $length - 1; $i >= 0; $i--) {
                $Re = $HashStr{$i};
                if (1 === ($Flag % 2)) {
                    $Re += $Re;
                    $Re = (int)($Re / 10) + ($Re % 10);
                }
                $CheckByte += $Re;
                $Flag++;
            }
            $CheckByte %= 10;
            if (0 !== $CheckByte) {
                $CheckByte = 10 - $CheckByte;
                if (1 === ($Flag % 2)) {
                    if (1 === ($CheckByte % 2)) {
                        $CheckByte += 9;
                    }
                    $CheckByte >>= 1;
                }
            }
            return '7' . $CheckByte . $HashStr;
        }
    }


    $address = str_replace('http://', '', $url);
    $getStat = 'http://counter.yadro.ru/values?site=' . $address;
    $file_headers_stat = @get_headers($getStat);

    if($file_headers_stat[0] != 'HTTP/1.0 404 Not Found'){
        $xmlStat = file_get_contents($getStat);
    }

    preg_match_all('(\d+)', $xmlStat, $matchStat);
    $day_hit = $matchStat[0][4];
    $day_vis = $matchStat[0][5];
    $today_vis = $matchStat[0][7];

    if (isset($_SESSION['CY'])) {
        $CY = $_SESSION['CY'];
    } else {
        $getCY = 'http://bar-navig.yandex.ru/u?ver=2&show=32&url=http://' . $address;
        $file_headers_cy = @get_headers($getStat);
        if($file_headers_cy[0] != 'HTTP/1.0 404 Not Found'){
            $xmlCY = file_get_contents($getCY);
        }
        preg_match('(value="(\d+)")', $xmlCY, $matchCY);
        $CY = $matchCY[1];
        $_SESSION['CY'] = $CY;
    }

    if (isset($_SESSION['PR'])) {
        $PR = $_SESSION['PR'];
    } else {
        $getPR = new PR();
        $PR = $getPR->get_google_pagerank('http://' . $address);
        $_SESSION['PR'] = $PR;
    }

    if (isset($_SESSION['notify_cache'])) {
        $notify = $_SESSION['notify_cache'];
        $_SESSION['notify_cache'] = '';
    }

}

if ($page == 'general' || $page == 'dashboard') {


    $query = mysql_query("SELECT * FROM admin WHERE uid='1'");
    $row = mysql_fetch_array($query);

    if (isset($_POST['go_save'])) {
        if (isset($_POST['admin'])) {
            $admin = $_POST['admin'];
            if ($admin == '') {
                unset($admin);
            }
        }
        if (isset($_POST['email'])) {
            $email = $_POST['email'];
            if ($email == '') {
                unset($email);
            }
        }
        if (isset($_POST['agent'])) {
            $agent = $_POST['agent'];
            if ($agent == '') {
                unset($agent);
            }
        }
        if (isset($_POST['guid_agent'])) {
            $guid_agent = $_POST['guid_agent'];
            if ($guid_agent == '') {
                unset($guid_agent);
            }
        }
        if (isset($_POST['password'])) {
            ($_POST['password'] == 'Пароль') ? $password = $row['password'] : $password = md5($_POST['password']);
            if ($password == '') {
                unset($password);
            }
        }

        $query_action = "UPDATE admin SET admin='" . $admin . "', password='" . $password . "', email='" . $email . "', agent='" . $agent . "', guid_agent='" . $guid_agent . "' WHERE uid='1'";
        $notify_text = 'Информация была успешно сохранена!';


        if (mysql_query($query_action)) {
            $_SESSION['notify_general'] = '<div class="alert alert-success"><button type="button" class="close" data-dismiss="alert" aria-hidden="true">&times;</button> ' . $notify_text . '</div>';
        } else {
            $_SESSION['notify_general'] = '<div class="alert alert-error"><button type="button" class="close" data-dismiss="alert" aria-hidden="true">&times;</button> Неудалось обработать базой!</div>';
        }

    }
}

if ($page == 'templates') {


    function ShowCategory()
    {
        $sc = 0;
        $handle_content = opendir('../templates/');
        while ($cat = readdir($handle_content)) {
            if (preg_match('/^[a-z0-9\-]+$/', $cat) == true) {
                $folders[$sc] = $cat;
                $sc++;
            }
        }
        closedir($handle_content);
        return $folders;
    }

    $folders = ShowCategory();
    $total = count($folders);

    if (isset($_POST['activate'])) {

        $template = $_POST['template'];
        $fopen = fopen(ENGINE_DIR . '/data/config.php', "a+");
        if (!$fopen) {
            $_SESSION['notify_templates'] = '<div class="alert alert-error"><button type="button" class="close" data-dismiss="alert" aria-hidden="true">&times;</button> Неудалось сохранить информацию. Файл настроек защищен от записи!</div>';
            return;
        }
        $str = fread($fopen, filesize(ENGINE_DIR . '/data/config.php'));
        flock($fopen, LOCK_EX);
        ftruncate($fopen, 0);

        $patterns = '/template = "(.*?)";/';
        $replacements = 'template = "' . $template . '";';
        $str = preg_replace($patterns, $replacements, $str);
        $fwrite = fwrite($fopen, $str);
        $_SESSION['notify_templates'] = '<div class="alert alert-success"><button type="button" class="close" data-dismiss="alert" aria-hidden="true">&times;</button> Шаблон "' . $template . '" назначен шаблоном по умолчанию!</div>';

        fflush($fopen);
        flock($fopen, LOCK_UN);
        fclose($fopen);

    }

    if (file_exists('../templates/' . $template . '/license.txt')) {
        $theme_info = file_get_contents('../templates/' . $template . '/license.txt', true);
        preg_match('/Theme Name: (.*)/', $theme_info, $theme_name);
        preg_match('/Theme URI: (.*)/', $theme_info, $theme_uri);
        preg_match('/Version: (.*)/', $theme_info, $theme_version);
        preg_match('/Author: (.*)/', $theme_info, $theme_author);
        preg_match('/Author URI: (.*)/', $theme_info, $theme_author_uri);
        preg_match('/Description: (.*)/', $theme_info, $theme_description);
    }
    $current_template = '
        <div class="row-fluid">
            <div class="span12">
                <div class="well">
                    <h4 class="heading">' . $theme_name[1] . '</h4>
                    <div class="row-fluid">
                    <div class="current span4"><span class="btn"><img src="../templates/' . $template . '/screenshot.png"></span></div>
                    <div class="span8">
                        <label>Версия: ' . $theme_version[1] . '</label>
                        <label>Сайт: <a href="' . $theme_uri[1] . '">' . $theme_uri[1] . '</a></label>
                        <label>Автор: <a href="' . $theme_author_uri[1] . '">' . $theme_author[1] . '</a></label>
                        <label>' . $theme_description[1] . '</label>
                    </div>
                        <div class="clearfix"></div>
                    </div>
                </div>
            </div>
	    </div>
	    ';
    $html_templates = '';
    for ($tp = 0; $tp < count($folders); $tp++) {

        if ($folders[$tp] != $template) {
            $html_templates = $html_templates . '
        <div class="span2 theme-items">
        <form name="form" method="post" action="' . getURL(array('templates')) . '">
				<span class="btn"><img src="../templates/' . $folders[$tp] . '/screenshot.png"><span class="txt">' . $folders[$tp] . '</span></span>
				<input type="hidden" name="template" value="' . $folders[$tp] . '">
                <input type="submit" name="activate" class="btn btn-block btn-small" value="Активировать">
		</form>
		</div>';
        }
    }
}

if ($page == 'settings') {

    if (isset($_POST["changeset"])) {

        $title = htmlspecialchars(trim(strip_tags($_POST["title"])), ENT_QUOTES);
        $description = htmlspecialchars(trim(strip_tags($_POST["description"])), ENT_QUOTES);
        $url = htmlspecialchars(trim(strip_tags($_POST["url"])), ENT_QUOTES);
        $keywords = htmlspecialchars(trim(strip_tags($_POST["keywords"])), ENT_QUOTES);
        $seourl = $_POST["seourl"];
        $showcat = $_POST["showcat"];
        $menulist = str_replace(" ", "", htmlspecialchars(trim(strip_tags($_POST["menulist"])), ENT_QUOTES));
        $curr = $_POST["curr"];
        $order = $_POST["order"];
        $page_rows = $_POST["page_rows"];
        $resp_rows = $_POST["resp_rows"];
        $sell_rows = $_POST["sell_rows"];


        $fopen = fopen(ENGINE_DIR . '/data/config.php', "a+");
        if (!$fopen) {
            $_SESSION['notify_settings'] = '<div class="alert alert-error"><button type="button" class="close" data-dismiss="alert" aria-hidden="true">&times;</button> Неудалось сохранить информацию. Файл настроек защищен от записи!</div>';
            return;
        }
        $str = fread($fopen, filesize(ENGINE_DIR . '/data/config.php'));
        flock($fopen, LOCK_EX);
        ftruncate($fopen, 0);

        $patterns[0] = '/title = "(.*?)";/';
        $patterns[1] = '/description = "(.*?)";/';
        $patterns[2] = '/url = "(.*?)";/';
        $patterns[3] = '/keywords = "(.*?)";/';
        $patterns[4] = '/seourl = "(.*?)";/';
        $patterns[5] = '/showcat = "(.*?)";/';
        $patterns[6] = '/menulist = "(.*?)";/';
        $patterns[7] = '/curr = "(.*?)";/';
        $patterns[8] = '/order = "(.*?)";/';
        $patterns[9] = '/page_rows = "(.*?)";/';
        $patterns[10] = '/resp_rows = "(.*?)";/';
        $patterns[11] = '/sell_rows = "(.*?)";/';

        $replacements[0] = 'title = "' . $title . '";';
        $replacements[1] = 'description = "' . $description . '";';
        $replacements[2] = 'url = "' . $url . '";';
        $replacements[3] = 'keywords = "' . $keywords . '";';
        $replacements[4] = 'seourl = "' . $seourl . '";';
        $replacements[5] = 'showcat = "' . $showcat . '";';
        $replacements[6] = 'menulist = "' . $menulist . '";';
        $replacements[7] = 'curr = "' . $curr . '";';
        $replacements[8] = 'order = "' . $order . '";';
        $replacements[9] = 'page_rows = "' . $page_rows . '";';
        $replacements[10] = 'resp_rows = "' . $resp_rows . '";';
        $replacements[11] = 'sell_rows = "' . $sell_rows . '";';

        $str = preg_replace($patterns, $replacements, $str);


        $fwrite = fwrite($fopen, $str);
        $_SESSION['notify_settings'] = '<div class="alert alert-success"><button type="button" class="close" data-dismiss="alert" aria-hidden="true">&times;</button> Информация была успешно сохранена!</div>';

        fflush($fopen);
        flock($fopen, LOCK_UN);
        fclose($fopen);


    }
}

if ($page == 'cache') {


    if (isset($_POST["changeset"])) {

        $savecache = $_POST["savecache"];
        $savecachetime = htmlspecialchars(trim(strip_tags($_POST["savecachetime"])), ENT_QUOTES);
        $sctimemenu = htmlspecialchars(trim(strip_tags($_POST["sctimemenu"])), ENT_QUOTES);

        $fopen = fopen(ENGINE_DIR . '/data/config.php', "a+");
        if (!$fopen) {
            $_SESSION['notify_cache'] = '<div class="alert alert-error"><button type="button" class="close" data-dismiss="alert" aria-hidden="true">&times;</button> Неудалось сохранить информацию. Файл настроек защищен от записи!</div>';
            return;
        }
        $str = fread($fopen, filesize(ENGINE_DIR . '/data/config.php'));
        flock($fopen, LOCK_EX);
        ftruncate($fopen, 0);

        $patterns[0] = '/savecache = "(.*?)";/';
        $patterns[1] = '/savecachetime = "(.*?)";/';
        $patterns[2] = '/sctimemenu = "(.*?)";/';

        $replacements[0] = 'savecache = "' . $savecache . '";';
        $replacements[1] = 'savecachetime = "' . $savecachetime . '";';
        $replacements[2] = 'sctimemenu = "' . $sctimemenu . '";';

        $str = preg_replace($patterns, $replacements, $str);


        $fwrite = fwrite($fopen, $str);

        $_SESSION['notify_cache'] = '<div class="alert alert-success"><button type="button" class="close" data-dismiss="alert" aria-hidden="true">&times;</button> Информация была успешно сохранена!</div>';


        fflush($fopen);
        flock($fopen, LOCK_UN);
        fclose($fopen);


    }
}
if ($page == 'login') {
    if ($_GET['url'] == 'license') {
        echo "<script language = 'javascript'>var delay = 1000; setTimeout(\"document.location.href='http://goo.gl/fozmNZ'\", delay);</script>";
    }
}

if ($page == 'sitemap') {

    if (isset($_POST['go_sitemap'])) {

        DEFINE('URL_LIMIT', $_POST['site_pages']);
        $file = ROOT_DIR . "/sitemap.xml";
        $freq = $_POST['frequency']; // google scan frequency
        $priority = $_POST['priority']; // site priority

        function Path($p)
        {
            $a = explode("/", $p);
            $len = strlen($a[count($a) - 1]);
            return (substr($p, 0, strlen($p) - $len));
        }

        function GetSitemapUrl($url)
        {
            $ch = curl_init();
            curl_setopt($ch, CURLOPT_URL, $url);
            curl_setopt($ch, CURLOPT_RETURNTRANSFER, 1);
            $data = curl_exec($ch);
            curl_close($ch);
            return $data;
        }

        function Scan($url)
        {
            global $scanned, $pf, $skip, $freq, $priority ,$seourl;

            array_push($scanned, $url);
            $html = GetSitemapUrl($url);
            $a1 = explode("<a", $html);


            foreach ($a1 as $key => $val) {
                $parts = explode(">", $val);
                $a = $parts[0];

                $aparts = explode("href=", $a);

                @$hrefparts = explode(" ", $aparts[1]);
                $hrefparts2 = explode("#", $hrefparts[0]);

                $href = str_replace("\"", "", $hrefparts2[0]);

                if ((substr($href, 0, 7) != "http://") &&
                    (substr($href, 0, 8) != "https://") &&
                    (substr($href, 0, 6) != "ftp://")
                ) {
                    if (@$href[0] == '/')
                        $href = $scanned[0].$href;
                    else
                    {
                        $href = Path($url) . $href;
                    }
                }

                if (count($scanned) > URL_LIMIT) {
                    return false;
                }

                if (substr($href, 0, strlen($scanned[0])) == $scanned[0]) {
                    $ignore = false;
                    if (isset ($skip))
                        foreach ($skip as $k => $v)
                            if (substr($href, 0, strlen($v)) == $v)
                                $ignore = true;

                    if (substr($href, -1) == '/') {
                        $href = substr_replace($href, "", -1);
                    }

                    $href = str_replace("\n", "", $href);
                    $href = str_replace("&","&amp;",$href);

                    if ($seourl == 1){
                        $slash = '/';
                    }else{
                        $slash = '';
                    }

                    if ((!$ignore) &&
                        (!in_array($href, $scanned)) &&
                        (strpos($href, '../') === false)
                    ) {
                        fwrite($pf, "<url>\n  <loc>".$href.$slash."</loc>\n" .
                            "  <changefreq>".$freq."</changefreq>\n" .
                            "  <priority>".$priority."</priority>\n</url>\n");
                        Scan($href);

                    }
                }
            }
        }


        $pf = fopen($file, "w");
        if (!$pf) {
            $_SESSION['notify_sitemap'] = '<div class="alert alert-error"><button type="button" class="close" data-dismiss="alert" aria-hidden="true">&times;</button> Неудалось сгенерировать карту сайта. Файл sitemap.xml защищен от записи!</div>';
            return;
        }

        fwrite($pf, "<?xml version=\"1.0\" encoding=\"UTF-8\"?>
<urlset
      xmlns=\"http://www.sitemaps.org/schemas/sitemap/0.9\"
      xmlns:xsi=\"http://www.w3.org/2001/XMLSchema-instance\"
      xsi:schemaLocation=\"http://www.sitemaps.org/schemas/sitemap/0.9
            http://www.sitemaps.org/schemas/sitemap/0.9/sitemap.xsd\">

<url>
  <loc>$url/</loc>
  <changefreq>daily</changefreq>
</url>
");

        $scanned = array();
        Scan($url);

        fwrite($pf, "</urlset>\n");

        $_SESSION['notify_sitemap'] = '<div class="alert alert-success"><button type="button" class="close" data-dismiss="alert" aria-hidden="true">&times;</button> Карта сайта была успешно обновлена!</div>';

        fclose($pf);

    }
}