<!--  Breadcrumb -->
<div class="row-fluid hidden-phone">
	<div class="span12">
		<ul class="breadcrumb">
			<li class="active">Вы здесь: <icon class="icon-home icon-blue-l"></icon></li>
			<li><a href="<?php echo getURL(array('dashboard')); ?>">Главная</a></li>
			<li class="active"><span class="divider"></span><a href="<?php echo getURL(array('news')); ?>">Все новости</a></li>
			<li class="active"><span class="divider"></span>Добавить новость</li>
		</ul>
	</div>
</div>
<!-- End Breadcrumb -->

<!-- Heading  -->
<div class="row-fluid">
	<div class="span12">
		<h1>Добавить новость</h1>
		<p class="lead">Создание новости для вашего сайта</p>
	</div>
</div>
<!--  End Heading-->
<!-- Form  -->
<form name="addnews" action="<?php echo getURL(array('news')); ?>" method="post" onsubmit="return validate_form ( );">
	
	<!--  Block -->
	<div class="row-fluid">
	<div class="span12">

		<div class="form-horizontal well">
            <h4 class="heading glyphicons cogwheel"><i></i>Основные настройки</h4>
            <div class="control-group">
                <label class="control-label" for="inputURI">*ЧПУ URI новости</label>
                <div class="controls">
                    <input type="text" name="news_alias" placeholder="URI адрес новости">
                </div>
            </div>
			<div class="control-group">
				<label class="control-label" for="inputTitle">*Заголовок новости</label>
				<div class="controls">
					<input type="text" name="news_title" class="input-block" placeholder="название новости">
				</div>
			</div>

			<div class="control-group">
				<label class="control-label" for="inputKeywords">Ключевые слова</label>
				<div class="controls">
					<input type="text" name="news_meta_k" placeholder="ключевые, слова, новости">
				</div>
			</div>

            <div class="control-group">
                <label class="control-label" for="inputDate">Дата</label>
                <div class="controls">
                    <input type="text" name="news_date" placeholder="<?php echo $date; ?>" value ="<?php echo $date; ?>">
                </div>
            </div>

			<div class="control-group">
				<label class="control-label" for="inputDesc">Описание новости</label>
				<div class="controls">
					<textarea class="span5" rows="4" name="news_meta_d" placeholder="описание новости не более 170 символов"></textarea>
				</div>
			</div>

		</div>

	</div>
	</div>
	<!-- End Block -->

	<div class="row-fluid">
	<div class="span12">
		<!--  Block -->
		<div class="form-horizontal well ">
            <h4 class="heading glyphicons notes"><i></i>Текст новости</h4>

			<div class="row-fluid">
				<textarea class="span12 wysihtml5" id="page_content" name="news_content" rows="10" placeholder="Содержимое новости"></textarea>
			</div>
		</div>
		<!--  End Block -->

        <div class="alert alert-error" style="display: none;"><span> </span></div>

		<!--  Save Button -->
		<button type="submit" name="go_addnews" class="btn btn-success pull-right">Опубликовать <icon class="icon-check icon-white"></icon></button>
		<!-- End Save Button  -->
	</div>
	</div>
</form>
<!-- End Form  -->