<!--  Breadcrumb -->
<div class="row-fluid hidden-phone">
	<div class="span12">
		<ul class="breadcrumb">
			<li class="active">Вы здесь: <icon class="icon-home icon-blue-l"></icon></li>
			<li><a href="<?php echo getURL(array('dashboard')); ?>">Главная</a></li>
			<li class="active"><span class="divider"></span><a href="<?php echo getURL(array('pages')); ?>">Все страницы</a></li>
			<li class="active"><span class="divider"></span>Добавить страницу</li>
		</ul>
	</div>
</div>
<!-- End Breadcrumb -->

<!-- Heading  -->
<div class="row-fluid">
	<div class="span12">
		<h1>Добавить страницу</h1>
		<p class="lead">Создание новой страницы для вашего сайта</p>
	</div>
</div>
<!--  End Heading-->

<!-- Form  -->
<form name="addpages" action="<?php echo getURL(array('pages')); ?>" method="post" onsubmit="return validate_form_pages ( );">
	
	<!--  Block -->
	<div class="row-fluid">
	<div class="span12">

		<div class="form-horizontal well">
            <h4 class="heading glyphicons cogwheel"><i></i>Основные настройки</h4>
            <div class="control-group">
                <label class="control-label" for="inputURI">*ЧПУ URI страницы</label>
                <div class="controls">
                    <input type="text" name="page_alias" placeholder="URI адрес страницы">
                </div>
            </div>
			<div class="control-group">
				<label class="control-label" for="inputTitle">*Заголовок страницы</label>
				<div class="controls">
					<input type="text" name="page_title" class="input-block" placeholder="название страницы">
				</div>
			</div>
			<div class="control-group">
				<label class="control-label" for="inputKeywords">Ключевые слова</label>
				<div class="controls">
					<input type="text" name="page_meta_k" placeholder="ключевые, слова, страницы">
				</div>
			</div>

			<div class="control-group">
				<label class="control-label" for="inputDesc">Описание страницы</label>
				<div class="controls">
					<textarea class=" span5" name="page_meta_d" rows="4" placeholder="описание страницы не более 170 символов"></textarea>
				</div>
			</div>

		</div>

	</div>
	</div>
	<!-- End Block -->

	<div class="row-fluid">
	<div class="span12">
		<!--  Block -->
		<div class="form-horizontal well ">
            <h4 class="heading glyphicons notes"><i></i>Текст страницы</h4>

			<div class="row-fluid">
				<textarea class="span12 wysihtml5" id="page_content" name="page_content" rows="10" placeholder="Содержимое страницы"></textarea>
			</div>
		</div>
		<!--  End Block -->
        <div class="alert alert-error" style="display: none;"><span> </span></div>
		<!--  Save Button -->
		<button type="submit" name="go_addpages" class="btn btn-success pull-right">Сохранить страницу <icon class="icon-check icon-white-t"></icon></button>
		<!-- End Save Button  -->

	</div>
	</div>
</form>
<!-- End Form  -->