<!DOCTYPE html>
<html>
<head>
	<title>Панель управления AgentShop CMS</title>
	<meta charset="utf-8" />
	<meta name="viewport" content="width=device-width, initial-scale=1.0">
	<link href="<?php echo getURL(); ?>bootstrap/css/bootstrap.css" rel="stylesheet">
	<link href="<?php echo getURL(); ?>bootstrap/css/bootstrap-responsive.css" rel="stylesheet">
	<link href="<?php echo getURL(); ?>bootstrap/extend/jasny-bootstrap/css/jasny-bootstrap.min.css" rel="stylesheet">
	<link href="<?php echo getURL(); ?>bootstrap/extend/jasny-bootstrap/css/jasny-bootstrap-responsive.min.css" rel="stylesheet">
	<link href="<?php echo getURL(); ?>bootstrap/extend/bootstrap-wysihtml5/css/bootstrap-wysihtml5-0.0.2.css" rel="stylesheet">
<?php if ($page == 'documentation'): ?>
	<link href="<?php echo getURL(); ?>theme/scripts/google-code-prettify/prettify.css" type="text/css" rel="stylesheet" />	
<?php endif; ?>	
	<link href="<?php echo getURL(); ?>theme/css/beautyadmin.css?<?php echo time(0); ?>" rel="stylesheet">
	<link href='http://fonts.googleapis.com/css?family=Open+Sans:400,300,600,700&subset=latin,latin-ext' rel='stylesheet' type='text/css'>
	<script src="<?php echo getURL(); ?>theme/scripts/jquery-latest.js" type="text/javascript"></script>
<?php if ($page == 'addnews' || $page == 'editnews' || $page == 'addpages' || $page == 'editpage' || $page == 'settings' || $page == 'settings'): ?>
    <script src="<?php echo getURL(); ?>theme/scripts/validate.js" type="text/javascript"></script>
<?php endif; ?>
	<link rel="stylesheet" href="<?php echo getURL(); ?>theme/css/glyphicons.css" />
<?php if ($page == 'products-add' || $page == 'gallery'): ?>
	<link rel="stylesheet" href="<?php echo getURL(); ?>theme/scripts/jquery-file-upload/css/jquery.fileupload-ui.css">
<?php endif; ?>
<?php if (GA): ?>
	<!-- Google Analytics -->
	
	
<?php endif; ?>
</head>
<body class="<?php echo $page == 'login' ? 'login' : 'main'; ?> left-menu sticky_footer">
	<?php if ($page != 'login'): ?>
	<div class="navbar navbar-fixed-top top-line">
		<div class="container-fluid">
			<div class="pull-left">
				<a href="<?php echo getURL(array('dashboard')); ?>" class="brand"><img src="<?php echo getURL(); ?>theme/img/logo_hires.png" width="230"><span class="label label-inverse"><?php echo APP_VERSION; ?></span></a>
			</div>
			<div class="pull-right">
				<span class="divider-close"></span>
				<div class="toplinks-dropdown">
					<a href="#" class="dropdown-toggle" data-toggle="dropdown">Добавить <icon class="icon-plus icon-gray"></icon></a>
			    	<ul class="dropdown-menu">
			      		<li><a href="<?php echo getURL(array('addpages')); ?>">Страницу</a></li>
			      		<li><a href="<?php echo getURL(array('gallery')); ?>">Медиафайл</a></li>
			      		<li><a href="<?php echo getURL(array('addnews')); ?>">Новости</a></li>
			    	</ul>
			  	</div>
				<span class="divider-topline"></span> 
				<div class="toplinks">
					<a href="/" target="_blank">Просмотр сайта <icon class="icon-home icon-gray"></icon></a>
				</div>
				<span class="divider-topline"></span>
				<div class="toplinks"> 
					<a href="<?php echo getURL(array('dashboard')); ?>&what=exit">Выход <icon class="icon-share-alt icon-gray"></icon></a>
				</div>
				<span class="divider-close"></span>
				<?php endif; ?>
			</div>
		</div>
	</div>
	<?php if ($page != 'login'): ?><div class="contentWrapper"><?php endif; ?>
		<div class="container-fluid mainContainerFluid">
		<?php if ($page != 'login'): ?>
		<div class="row-fluid mainMenuWrapper">
			<div class="span2 mainMenu">
				<ul>
				<li<?php if ($page == 'dashboard'): ?> class="active"<?php endif; ?>><a href="<?php echo getURL(array('dashboard')); ?>">Главная</a></li>
				<li class="dropdown<?php if ($page == 'news' || $page == 'addnews' || $page == 'editnews'): ?> open active<?php endif; ?>">
					<a href="#menu_news" data-toggle="collapse">Новости <b class="caret"></b></a>
					<ul class="collapse<?php if ($page == 'news' || $page == 'addnews' || $page == 'editnews'): ?> in<?php endif; ?>" id="menu_news">
						<li<?php if ($page == 'news'): ?> class="active"<?php endif; ?>><a href="<?php echo getURL(array('news')); ?>">Все новости</a></li>
						<li<?php if ($page == 'addnews'): ?> class="active"<?php endif; ?>><a href="<?php echo getURL(array('addnews')); ?>">Добавить новую</a></li>
					</ul>
				</li>
				<li class="dropdown<?php if ($page == 'pages' || $page == 'addpages' || $page == 'editpage'): ?> open active<?php endif; ?>">
					<a href="#menu_sitepages" data-toggle="collapse">Страницы <b class="caret"></b></a>
					<ul class="collapse<?php if ($page == 'pages' || $page == 'addpages' || $page == 'editpage'): ?> in<?php endif; ?>" id="menu_sitepages">
						<li<?php if ($page == 'pages'): ?> class="active"<?php endif; ?>><a href="<?php echo getURL(array('pages')); ?>">Все страницы</a></li>
						<li<?php if ($page == 'addpages'): ?> class="active"<?php endif; ?>><a href="<?php echo getURL(array('addpages')); ?>">Добавить новую</a></li>
					</ul>
				</li>
                <li<?php if ($page == 'modules'): ?> class="active"<?php endif; ?>><a href="<?php echo getURL(array('modules')); ?>">Модули</a></li>
                <li<?php if ($page == 'templates'): ?> class="active"<?php endif; ?>><a href="<?php echo getURL(array('templates')); ?>">Шаблоны</a></li>
			    <li<?php if ($page == 'gallery'): ?> class="active"<?php endif; ?>><a href="<?php echo getURL(array('gallery')); ?>">Медиафайлы</a></li>
				<li class="dropdown<?php if ($page == 'settings' || $page == 'general' || $page == 'cache' || $page == 'sitemap'): ?> open active<?php endif; ?>">
					<a href="#menu_docs" data-toggle="collapse">Параметры <b class="caret"></b></a>
						<ul class="collapse<?php if ($page == 'settings' || $page == 'general' || $page == 'cache' || $page == 'sitemap'): ?> in<?php endif; ?>" id="menu_docs">
                            <li<?php if ($page == 'general'): ?> class="active"<?php endif; ?>><a href="<?php echo getURL(array('general')); ?>">Основные</a></li>
                            <li<?php if ($page == 'settings'): ?> class="active"<?php endif; ?>><a href="<?php echo getURL(array('settings')); ?>">Общие</a></li>
                            <li<?php if ($page == 'cache'): ?> class="active"<?php endif; ?>><a href="<?php echo getURL(array('cache')); ?>">Кэширование</a></li>
                            <li<?php if ($page == 'sitemap'): ?> class="active"<?php endif; ?>><a href="<?php echo getURL(array('sitemap')); ?>">Карта сайта</a></li>
                        </ul>
				</li>
				</ul>
			</div>
			<div class="span10 mainContent">
			<div class="inner">
		<?php endif; ?>