<?
/*
========================================
 Agent Shop CMS 
----------------------------------------
 http://ascms.ru/
----------------------------------------
 Copyright (c) Дмитрий Дьяконов
----------------------------------------
 Данный код защищен авторскими правами
========================================
*/
$Memory = SellerInfo($guid_agent, $id, $savecachetime, $savecache);
$Memory = iconv('windows-1251', 'UTF-8', $Memory);
if ($Memory == "") {
    $retval = 404;
    $retdesc = "Невозможно отобразить страницу";
}

$retval = XMLtag("retval", $Memory);
$retdesc = XMLtag("retdesc", $Memory);
$id_seller = XMLtag("id_seller", $Memory);
$name_seller = XMLtag("name_seller", $Memory);
$selurl = translitURL($name_seller);
$selurl = strtolower($selurl);
$name_seller_long = XMLtag("name_seller_long", $Memory);
$address = XMLtag("address", $Memory);
$url_tag = XMLtag("url", $Memory);
$fio = XMLtag("fio", $Memory);
$phone = XMLtag("phone", $Memory);
$icq = XMLtag("icq", $Memory);
$email = XMLtag("email", $Memory);
$wmid = XMLtag("wmid", $Memory);
$date_registration = XMLtag("date_registration", $Memory);


$attestat = XMLtag("attestat", $Memory);
$client_credit = XMLtag("client_credit", $Memory);
$client_credit_id_attestat = XMLtag("id_attestat", $client_credit);
$client_credit_summ_pay = XMLtag("summ_pay", $client_credit);
$client_credit_not_credit = XMLtag("not_credit", $client_credit);
$statistics = XMLtag("statistics", $Memory);
$statistics_rating = XMLtag("rating", $statistics);
$statistics_cnt_goods = XMLtag("cnt_goods", $statistics);
$statistics_cnt_sell = XMLtag("cnt_sell", $statistics);
$statistics_cnt_return = XMLtag("cnt_return", $statistics);
$statistics_cnt_good_responses = XMLtag("cnt_good_responses", $statistics);
$statistics_cnt_bad_responses = XMLtag("cnt_bad_responses", $statistics);

if ($url_tag <> "") {
    $url_tag = '<a rel="nofollow" href="' . $url_tag . '" target="_blank">' . $url_tag . '</a>';
} else {
    $url_tag = "отсутствует";
}
$wmidinfo = '<a rel="nofollow" href="https://passport.webmoney.ru/asp/certView.asp?wmid=' . $wmid . '" target="_blank">' . $wmid . '</a>';

$BL = '<img src="http://stats.wmtransfer.com/Levels/pWMIDLevel.aspx?wmid=' . $wmid . '&w=30&h=16&bg=0XFFFFFF" width="30px" height="16px" border="0" />';

if ($statistics_rating >= 5000) {
    $rating_seller = '<img src="/templates/' . $template . '/img/seller/5.png"/>';
} elseif ($statistics_rating >= 2500) {
    $rating_seller = '<img src="/templates/' . $template . '/img/seller/4.png"/>';
} elseif ($statistics_rating >= 1000) {
    $rating_seller = '<img src="/templates/' . $template . '/img/seller/3.png"/>';
} elseif ($statistics_rating >= 100) {
    $rating_seller = '<img src="/templates/' . $template . '/img/seller/2.png"/>';
} elseif ($statistics_rating >= 10) {
    $rating_seller = '<img src="/templates/' . $template . '/img/seller/1.png"/>';
} elseif ($statistics_rating < 10) {
    $rating_seller = '<img src="/templates/' . $template . '/img/seller/0.png"/>';
}

if ($address == "") {
    $address = "не указано";
}
if ($icq == "") {
    $icq = "не указано";
}
if ($client_credit_id_attestat <> "") {
    $usl = "<b>Требования продавца к покупателям при оплате товара в кредит:</b><br>";
    if ($client_credit_id_attestat === "120") {
        $usl = $usl . " • <i>достаточно наличия начального аттестата</i><br>";
    } elseif ($client_credit_id_attestat === "130") {
        $usl = $usl . " • <i>обязательно наличие персонального аттестата</i><br>";
    } elseif ($client_credit_id_attestat === "150") {
        $usl = $usl . " • <i>обязательно наличие аттестата регистратора</i><br>";
    } elseif ($client_credit_id_attestat === "170") {
        $usl = $usl . " • <i>обязательно наличие аттестата гаранта</i><br>";
    }


    if ($client_credit_summ_pay <> 0) {
        $usl = $usl . " • <i>сумма покупок у данного продавца не меньше <b>$client_credit_summ_pay WMZ</i></b><br>";
    }
    if ($client_credit_not_credit === "yes") {
        $usl = $usl . " • <i>отсутствие непогашенных кредитов</i><br>";
    }
    $usl = "$usl";
}
include('engine/inc/seller_goods.php');
ob_start();
include('templates/' . $template . '/seller.tpl');
$seller = ob_get_contents();
ob_end_clean();
$seller = str_replace('{seller}', $name_seller, $seller);
$seller = str_replace('{name_seller}', $name_seller, $seller);
$seller = str_replace('{date_registration}', $date_registration, $seller);
$seller = str_replace('{fio}', $fio, $seller);
$seller = str_replace('{BL}', $BL, $seller);
$seller = str_replace('{rating_seller}', $rating_seller, $seller);
$seller = str_replace('{address}', $address, $seller);
$seller = str_replace('{phone}', $phone, $seller);
$seller = str_replace('{url_adress}', $url_tag, $seller);
$seller = str_replace('{icq}', $icq, $seller);
$seller = str_replace('{email}', $email, $seller);
$seller = str_replace('{wmid}', $wmidinfo, $seller);
$seller = str_replace('{statistics_rating}', $statistics_rating, $seller);
$seller = str_replace('{statistics_cnt_goods}', $statistics_cnt_goods, $seller);
$seller = str_replace('{statistics_cnt_sell}', $statistics_cnt_sell, $seller);
$seller = str_replace('{statistics_cnt_return}', $statistics_cnt_return, $seller);
$seller = str_replace('{statistics_cnt_good_responses}', $statistics_cnt_good_responses, $seller);
$seller = str_replace('{statistics_cnt_bad_responses}', $statistics_cnt_bad_responses, $seller);
$seller = str_replace('{demand}', $usl, $seller);
$seller = str_replace('{seller_goods}', $seller_goods, $seller);
$seller = str_replace('{sortrows}', $sortrows, $seller);
$seller = str_replace('{pagination}', $pagination, $seller);


if ($retval == 0) {
    $title = "Информация о продавце " . $name_seller;
    $content = $seller;
} else {
    $content = '<div id="notify">' . $retdesc . '</div>';
}

?>