<?php 
/*
 * AJAX Gallery: New Album
 * For the purpose of this demo, it only return a fictional result, 
 * but you'll probably want to add it to a database, maybe process data validation, etc.
 * must return a JSON encoded string with required params album_id, album_name
 */

// to be returned as encoded JSON string
$return = array();

// default no errors & empty error message
$errors = false;
$errorMsg = "";

// generate an album_id
$return['album_id'] = time(0);

// return recieved $_POST['album_name']
$return['album_name'] = isset($_POST['album_name']) ? $_POST['album_name'] : '';

/*
 * Your logic
 */
if (isset($_POST['album_name']) && $_POST['album_name'] == '')
{
	$errors = true;
	$errorMsg = "The album name is mandatory.";
}

/* uncomment to simulate an error
 *
$errors = true;
$errorMsg = "some nasty error occurred";
*/

// include errors from processing above in the result
$return['errors'] = $errors;
$return['errorMsg'] = $errorMsg;

// return JSON encoded string
echo json_encode($return);
