<?php
/*
========================================
 Agent Shop CMS 
----------------------------------------
 http://ascms.ru/
----------------------------------------
 Copyright (c) Дмитрий Дьяконов
----------------------------------------
 Данный код защищен авторскими правами
========================================
*/
set_time_limit(0);

define('ROOT_DIR', $_SERVER['DOCUMENT_ROOT']);
session_start();

function clean_cache($folder) {
    if($handle = opendir($folder))
{
        while(false !== ($file = readdir($handle)))
                if($file != "." && $file != "..") unlink($folder.$file);
        closedir($handle);
}
}


function myscandir($dir)
{
    $list = scandir($dir);
    unset($list[0],$list[1]);
    return array_values($list);
}

function clear_dir($dir)
{
    $list = myscandir($dir);

    foreach ($list as $file)
    {
        if (is_dir($dir.$file))
        {
            clear_dir($dir.$file.'/');
            rmdir($dir.$file);
        }
        else
        {
            unlink($dir.$file);
        }
    }
}

if(isset($_POST['go_clean']))
{
clean_cache(ROOT_DIR."/cache/menu/");
clean_cache(ROOT_DIR."/cache/list/");
clean_cache(ROOT_DIR."/cache/pay/");
clean_cache(ROOT_DIR."/cache/seller/");
clean_cache(ROOT_DIR."/cache/responses/");
clear_dir(ROOT_DIR."/cache/note/");
$_SESSION['notify_cache'] = '<div class="alert alert-success"><button type="button" class="close" data-dismiss="alert" aria-hidden="true">&times;</button> Кэш был успешно удален!</div>';
    if(isset($_POST['cleanup'])){
        header("Location:index.php?page=dashboard");
    }
    else{
        header("Location:index.php?page=cache");
    }
}



?>