<!-- Breadcrumb -->
<div class="row-fluid hidden-phone">
    <div class="span12">
        <ul class="breadcrumb">
            <li class="active">Вы здесь: <icon class="icon-home icon-blue-l"></icon></li>
            <li><a href="<?php echo getURL(array('dashboard')); ?>">Главная</a></li>
            <li class="active"><span class="divider"></span>Параметры</li>
        </ul>
    </div>
</div>
<!-- End Breadcrumb -->

<!-- Heading  -->
<div class="row-fluid">
    <div class="span12">
        <h1>Настройки</h1>
        <p class="lead">Редактирование параметров сайта</p>
    </div>
</div>
<div class="clearfix separator bottom"></div>
<!--  End Heading-->
<?php echo $notify ?>

<div class="row-fluid">

    <!--  Tabs -->
    <div class="span3">
        <ul class="tabs-arrow">
            <li class=""><a class="glyphicons cogwheels" href="<?php echo getURL(array('general')); ?>"><i></i> Основные</a></li>
            <li class=""><a class="glyphicons settings" href="<?php echo getURL(array('settings')); ?>"><i></i> Общие</a></li>
            <li class="active"><a class="glyphicons inbox" href="<?php echo getURL(array('cache')); ?>"><i></i> Кэширование</a></li>
            <li class=""><a class="glyphicons globe" href="<?php echo getURL(array('sitemap')); ?>"><i></i> Карта сайта</a></li>
        </ul>
        <?php if($savecache == 1):?>
        <form action="/admin/clean.php" method="post">
            <button type="submit" name="go_clean" class="btn btn-block">Очистить кэш <icon class="icon-trash icon-brown"></icon></button>
        </form>
        <?php endif; ?>
    </div>
    <!-- End Tabs -->
    <!--  Tab Content -->
    <div class="span9">
        <?php if($savecache == 1):?>
        <div class="well">
            <h4 class="heading glyphicons pie_chart"><i></i>Объем занимаемого кэшем места</h4>
            <div id="cache_size" style="height: 250px;"></div>
            <div class="control-group">
            <div class="pull-right"><p class="brown">Общий объем кэша: <?php echo $size_dir;?> Мб</p></div>
            </div>
        </div>
        <?php endif; ?>
        <form name="cache" action="<?php echo getURL(array('cache')); ?>" method="post" onsubmit="return validate_form ( );">
                <div class="well form-horizontal">
                    <h4 class="heading glyphicons inbox"><i></i>Кэширование</h4>
                    <div class="control-group">
                        <label class="control-label span5">Использовать кэш:</label>
                        <div class="controls span7">
                            <select name="savecache" class="span12">
                                <option value="1" <?php if($savecache==1) echo "selected='selected'"?>>Да</option>
                                <option value="0" <?php if($savecache==0) echo "selected='selected'"?>>Нет</option>
                            </select>
                        </div>
                    </div>
                    <div class="control-group">
                        <label class="control-label span5">Время обновления кэша (в минутах):</label>
                        <div class="controls span7">
                            <input type="text" class="span12" name="savecachetime" placeholder="Пример: 60 (время обновления 1 час)" value="<?php echo $savecachetime;?>" />
                        </div>
                    </div>
                    <div class="control-group">
                        <label class="control-label span5">Время обновления кэша меню (в минутах):</label>
                        <div class="controls span7">
                            <input type="text" class="span12" name="sctimemenu" placeholder="Пример: 1440 (время обновления 1 день)" value="<?php echo $sctimemenu;?>" />
                        </div>
                    </div>

                </div>
                <input type="hidden" name="changeset" value="<?php echo md5("Ok")?>">
                <button type="submit" name="go_save" class="btn btn-success pull-right">Сохранить изменения <icon class="icon-check icon-white"></icon></button>
        </form>
    </div>
    <!-- End Tab Content  -->
</div>