<!-- Breadcrumb -->
<div class="row-fluid hidden-phone">
	<div class="span12">
		<ul class="breadcrumb">
			<li class="active">Вы здесь: <icon class="icon-home icon-blue-l"></icon></li>
			<li><a href="<?php echo getURL(array('dashboard')); ?>">Главная</a></li>
			<li class="active"><span class="divider"></span>Медиафайлы</li>
		</ul>
	</div>
</div>
<!-- End Breadcrumb -->

<div class="row-fluid">
	<div class="span12">
		<h1>Медиафайлы</h1>
		<p class="lead">Управление изображениями и рекламными материалами, которые публикуются на сайте</p>
		<hr />
	</div>
	<div class="clearfix separator bottom"></div>
</div>
<div class="row-fluid gallery">
    <div class="span3 albums">
        <ul class="tabs-arrow">
            <li data-album-id="banner" class="active init">
                <a href="#" class="glyphicons pencil"><i></i> Баннеры</a>
            </li>
            <li data-album-id="images">
                <a href="#" class="glyphicons camera"><i></i> Изображения</a>
            </li>
        </ul>
        <a href="#" class="btn btn-success btn-block" data-toggle="modal" data-target="#modalUpload"><i class="icon-white icon-camera"></i> Управление изображениями</a>
        <div class="separator bottom"></div>
    </div>
    <div class="span9 media">
        <div class="row-fluid">
            <div class="ajax-loader hide"><img src="<?php echo getURL(); ?>theme/img/ajax-loader.gif" alt="Loading" /></div>
            <div class="ajax-loaded"></div>
            <div class="alert">
                <h3>Добро пожаловать в раздел управления изображениями</h3>
                <p>Краткие инструкции по работе с менеджером медиафайлов:</p>
                <ol class="">
                    <li>Старайтесь использовать короткие названия изображений</li>
                    <li>Подготавливайте размер изображения перед загрузкой на сайт</li>
                    <li>Отредактировать изображение можно в окне "Управление изображениями"</li>
                    <li>Чтобы получить ссылку на изображение, необходимо нажать на превью</li>
                </ol>
                <p>Доступна загрузка изображений следующих форматов: png, jpg, gif.</p>
            </div>
        </div>
    </div>

</div>


<!-- Upload Modal -->
<div class="hide modal modalGallery" tabindex="-1" id="modalUpload">
    <div class="modal-header">
        <p>Управление изображениями
        <button type="button" class="close" data-dismiss="modal" aria-hidden="true">&times;</button>
        </p>
    </div>
    <div class="modal-body">
        <div class="ajax-loader hide"><img src="<?php echo getURL(); ?>theme/img/ajax-loader.gif" alt="Loading" /></div>
        <div class="ajax-loaded">
            <div class="ajax-rd"></div>
            <form class="form-horizontal fileuploadForm" method="post" enctype="multipart/form-data" action="ajax.php?section=galleryUpload">
                <div class="control-group">
                    <label class="control-label" for="controlAlbumId">Альбом</label>
                    <div class="controls">
                        <select name="album_id" id="controlAlbumId"></select>
                    </div>
                </div>

                <!-- The fileupload-buttonbar contains buttons to add/delete files and start/cancel the upload -->
                <div class="row-fluid fileupload-buttonbar">
                    <div class="span12" style="text-align: center;">
                        <!-- The fileinput-button span is used to style the file input field as button -->
		                <span class="btn btn-success fileinput-button">
		                    <i class="icon-plus icon-white"></i>
		                    <span>Добавить</span>
		                    <input type="file" name="files[]" multiple>
		                </span>
                        <button type="submit" class="btn btn-primary start">
                            <i class="icon-upload icon-white"></i>
                            <span>Начать загрузку</span>
                        </button>
                        <button type="reset" class="btn btn-warning cancel">
                            <i class="icon-ban-circle icon-white"></i>
                            <span>Отменить загрузку</span>
                        </button>
                        <button type="button" class="btn btn-danger delete">
                            <i class="icon-trash icon-white"></i>
                            <span>Удалить</span>
                        </button>
                        <input type="checkbox" class="toggle">
                    </div>

                </div>
                <!-- The loading indicator is shown during file processing -->
                <div class="fileupload-loading"></div>
                <br>
                <!-- The table listing the files available for upload/download -->
                <table role="presentation" class="table table-striped"><tbody class="files" data-toggle="modal-gallery" data-target="#modal-gallery"></tbody></table>

            </form>
        </div>
    </div>
    <div class="modal-footer">
        <a href="#" class="btn" data-dismiss="modal" aria-hidden="true">Закрыть</a>
    </div>
</div>
<!-- End Upload Modal -->

<!-- Item Modal -->
<div class="hide modal modalGallery" tabindex="-1" id="modalItem">
    <div class="modal-header">
        <p>
            <span class="title">Детали</span>
            <button type="button" class="close " data-dismiss="modal" aria-hidden="true">&times;</button>
        </p>
    </div>
    <div class="modal-body">
        <div class="ajax-loader hide"><img src="<?php echo getURL(); ?>theme/img/ajax-loader.gif" alt="Loading" /></div>
        <div class="ajax-loaded hide">
            <div class="ajax-rd"></div>
            <!-- For now we only display a bigger version of the image -->
            <div class="image"></div>
        </div>
    </div>
    <div class="modal-footer">
        <div class="controls">
            <input type="text" class="image_url span12" value="">
        </div>
        <a href="#" class="btn" data-dismiss="modal" aria-hidden="true">Закрыть</a>
    </div>
</div>
<!-- End Item Modal -->