<!-- Breadcrumb -->
<div class="row-fluid hidden-phone">
    <div class="span12">
        <ul class="breadcrumb">
            <li class="active">Вы здесь: <icon class="icon-home icon-blue-l"></icon></li>
            <li><a href="<?php echo getURL(array('dashboard')); ?>">Главная</a></li>
            <li class="active"><span class="divider"></span>Параметры</li>
        </ul>
    </div>
</div>
<!-- End Breadcrumb -->

<!-- Heading  -->
<div class="row-fluid">
    <div class="span12">
        <h1>Настройки</h1>
        <p class="lead">Редактирование параметров сайта</p>
    </div>
</div>
<div class="clearfix separator bottom"></div>
<!--  End Heading-->
<?php echo $notify ?>

<div class="row-fluid">

    <!--  Tabs -->
    <div class="span3">
        <ul class="tabs-arrow">
            <li class=""><a class="glyphicons cogwheels" href="<?php echo getURL(array('general')); ?>"><i></i> Основные</a></li>
            <li class="active"><a class="glyphicons settings" href="<?php echo getURL(array('settings')); ?>"><i></i> Общие</a></li>
            <li class=""><a class="glyphicons inbox" href="<?php echo getURL(array('cache')); ?>"><i></i> Кэширование</a></li>
            <li class=""><a class="glyphicons globe" href="<?php echo getURL(array('sitemap')); ?>"><i></i> Карта сайта</a></li>
        </ul>
    </div>
    <!-- End Tabs -->
    <!--  Tab Content -->
    <div class="span9">
        <form name="settings" action="<?php echo getURL(array('settings')); ?>" method="post" onsubmit="return validate_form_settings ( );">
                <div class="well form-horizontal">
                    <h4 class="heading glyphicons settings"><i></i>Общие настройки</h4>
                    <div class="control-group">
                        <label class="control-label span5">*URL адрес сайта:</label>
                        <div class="controls span7">
                            <input type="text" class="span12" name="url" placeholder="Пример: http://site.ru (без символа '/' на конце)" value="<? echo $url; ?>" />
                        </div>
                    </div>
                    <div class="control-group">
                        <label class="control-label span5">*Название сайта:</label>
                        <div class="controls span7">
                            <input type="text" class="span12" name="title" placeholder="Пример: AgentShop - торговая площадка цифровых товаров" value="<? echo $title; ?>" />
                        </div>
                    </div>
                    <div class="control-group">
                        <label class="control-label span5">*Описание сайта:</label>
                        <div class="controls span7">
                            <input type="text" class="span12" name="description" placeholder="Пример: В нашем интернет-магазине вы можете приобрести различные виды цифровых товаров" value="<? echo $description; ?>" />
                        </div>
                    </div>
                    <div class="control-group">
                        <label class="control-label span5">*Ключевые слова для сайта:</label>
                        <div class="controls span7">
                            <input type="text" class="span12" name="keywords" placeholder="Пример: магазин, товары, pin-коды" value="<? echo $keywords; ?>" />
                        </div>
                    </div>
                </div>
                <div class="well form-horizontal">
                    <h4 class="heading glyphicons imac"><i></i>Настройки отображения</h4>
                    <div class="control-group">
                        <label class="control-label span5">Включить поддержку ЧПУ:</label>
                        <div class="controls span7">
                            <select name="seourl" class="span12">
                                <option value="1" <?php if($seourl==1) echo "selected='selected'"?>>Да</option>
                                <option value="0" <?php if($seourl==0) echo "selected='selected'"?>>Нет</option>
                            </select>
                        </div>
                    </div>
                    <div class="control-group">
                        <label class="control-label span5">Показывать пустые категории:</label>
                        <div class="controls span7">
                            <select name="showcat" class="span12">
                                <option value="1" <?php if($showcat==1) echo "selected='selected'"?>>Да</option>
                                <option value="0" <?php if($showcat==0) echo "selected='selected'"?>>Нет</option>
                            </select>
                        </div>
                    </div>
                    <div class="control-group">
                        <label class="control-label span5">*Последовательность вывода категорий:</label>
                        <div class="controls span7">
                            <input type="text" name="menulist" class="span12" value="<?php echo $menulist;?>">
                        </div>
                    </div>
                    <div class="control-group">
                        <label class="control-label span5">Валюта по умолчанию:</label>
                        <div class="controls span7">
                            <select name="curr" class="span12">
                                <option value="USD" <?php if($curr=='USD') echo "selected='selected'"?>>USD</option>
                                <option value="RUR" <?php if($curr=='RUR') echo "selected='selected'"?>>RUR</option>
                                <option value="EUR" <?php if($curr=='EUR') echo "selected='selected'"?>>EUR</option>
                                <option value="UAH" <?php if($curr=='UAH') echo "selected='selected'"?>>UAH</option>
                            </select>
                        </div>
                    </div>
                    <div class="control-group">
                        <label class="control-label span5">Способ сортировки товаров:</label>
                        <div class="controls span7">
                            <select name="order" class="span12">
                                <option value="" <?php if($order=='') echo "selected='selected'"?>>по умолчанию</option>
                                <option value="name" <?php if($order=='name') echo "selected='selected'"?>>названию А - Я</option>
                                <option value="nameDESC" <?php if($order=='nameDESC') echo "selected='selected'"?>>названию Я - A</option>
                                <option value="ratingDESC" <?php if($order=='ratingDESC') echo "selected='selected'"?>>рейтингу продавца - убыванию</option>
                                <option value="rating" <?php if($order=='rating') echo "selected='selected'"?>>рейтингу продавца - возрастанию</option>
                                <option value="seller" <?php if($order=='seller') echo "selected='selected'"?>>имени продавца А - Я</option>
                                <option value="sellerDESC" <?php if($order=='sellerDESC') echo "selected='selected'"?>>имени продавца Я - A</option>
                                <option value="priceDESC" <?php if($order=='priceDESC') echo "selected='selected'"?>>цене - убыванию</option>
                                <option value="price" <?php if($order=='price') echo "selected='selected'"?>>цене - возрастанию</option>
                            </select>
                        </div>
                    </div>
                    <div class="control-group">
                        <label class="control-label span5">Количество товаров на странице:</label>
                        <div class="controls span7">
                            <select name="page_rows" class="span12">
                                <option value="10" <?php if($page_rows==10) echo "selected='selected'"?>>10</option>
                                <option value="20" <?php if($page_rows==20) echo "selected='selected'"?>>20</option>
                                <option value="30" <?php if($page_rows==30) echo "selected='selected'"?>>30</option>
                                <option value="50" <?php if($page_rows==50) echo "selected='selected'"?>>50</option>
                                <option value="100" <?php if($page_rows==100) echo "selected='selected'"?>>100</option>
                            </select>
                        </div>
                    </div>
                    <div class="control-group">
                        <label class="control-label span5">Количество товаров на странице продавца:</label>
                        <div class="controls span7">
                            <select name="sell_rows" class="span12">
                                <option value="10" <?php if($sell_rows==10) echo "selected='selected'"?>>10</option>
                                <option value="20" <?php if($sell_rows==20) echo "selected='selected'"?>>20</option>
                                <option value="30" <?php if($sell_rows==30) echo "selected='selected'"?>>30</option>
                                <option value="50" <?php if($sell_rows==50) echo "selected='selected'"?>>50</option>
                                <option value="100" <?php if($sell_rows==100) echo "selected='selected'"?>>100</option>
                            </select>
                        </div>
                    </div>
                    <div class="control-group">
                        <label class="control-label span5">Количество отзывов на странице товара:</label>
                        <div class="controls span7">
                            <select name="resp_rows" class="span12">
                                <option value="5" <?php if($resp_rows==5) echo "selected='selected'"?>>5</option>
                                <option value="10" <?php if($resp_rows==10) echo "selected='selected'"?>>10</option>
                                <option value="15" <?php if($resp_rows==15) echo "selected='selected'"?>>15</option>
                                <option value="20" <?php if($resp_rows==30) echo "selected='selected'"?>>20</option>
                                <option value="50" <?php if($resp_rows==50) echo "selected='selected'"?>>50</option>
                            </select>
                        </div>
                    </div>
                </div>
                <div class="alert alert-error" style="display: none;"><span> </span></div>
                <div class="pull-right">
                    <input type="hidden" name="changeset" value="<?php echo md5("Ok")?>">
                    <button type="submit" name="go_save" class="btn btn-success pull-right">Сохранить изменения <icon class="icon-check icon-white"></icon></button>
                </div>
        </form>
    </div>
    <!-- End Tab Content  -->
</div>