<!-- Breadcrumb -->
<div class="row-fluid hidden-phone">
    <div class="span12">
        <ul class="breadcrumb">
            <li class="active">Вы здесь: <icon class="icon-home icon-blue-l"></icon></li>
            <li><a href="<?php echo getURL(array('dashboard')); ?>">Главная</a></li>
            <li class="active"><span class="divider"></span>Параметры</li>
        </ul>
    </div>
</div>
<!-- End Breadcrumb -->

<!-- Heading  -->
<div class="row-fluid">
    <div class="span12">
        <h1>Настройки</h1>
        <p class="lead">Редактирование параметров сайта</p>
    </div>
</div>
<div class="clearfix separator bottom"></div>
<!--  End Heading-->
<?php echo $notify ?>

<div class="row-fluid">

    <!--  Tabs -->
    <div class="span3">
        <ul class="tabs-arrow">
            <li class=""><a class="glyphicons cogwheels" href="<?php echo getURL(array('general')); ?>"><i></i> Основные</a></li>
            <li class=""><a class="glyphicons settings" href="<?php echo getURL(array('settings')); ?>"><i></i> Общие</a></li>
            <li class=""><a class="glyphicons inbox" href="<?php echo getURL(array('cache')); ?>"><i></i> Кэширование</a></li>
            <li class="active"><a class="glyphicons globe" href="<?php echo getURL(array('sitemap')); ?>"><i></i> Карта сайта</a></li>
        </ul>
    </div>
    <!-- End Tabs -->
    <!--  Tab Content -->
    <div class="span9">
        <form action="<?php echo getURL(array('sitemap')); ?>" method="post">
                <div class="well form-horizontal">
                    <h4 class="heading glyphicons globe"><i></i>Карта сайта</h4>
                    <div class="control-group">
                        <label class="control-label span5">Количество страниц:</label>
                        <div class="controls span7">
                            <input type="text" class="span12" name="site_pages" placeholder="Количество URL адресов (максимум 50000)" value="1000" />
                        </div>
                    </div>
                    <div class="control-group">
                        <label class="control-label span5">Частота обновления:</label>
                        <div class="controls span7">
                            <select name="frequency" class="span12">
                                <option value="always">Всегда</option>
                                <option value="hourly">Ежечасно</option>
                                <option value="daily" selected="selected">Ежедневно</option>
                                <option value="weekly">Еженедельно</option>
                                <option value="monthly">Ежемесячно</option>
                                <option value="yearly">Ежегодно</option>
                                <option value="never">Никогда</option>
                            </select>
                        </div>
                    </div>
                    <div class="control-group">
                        <label class="control-label span5">Приоритет:</label>
                        <div class="controls span7">
                            <input type="text" class="span12" name="priority" placeholder="Значение (от 0 до 1)" value="0.5" />
                        </div>
                    </div>

                </div>
                <input type="hidden" name="changeset" value="<?php echo md5("Ok")?>">
                <button type="submit" name="go_sitemap" class="btn btn-success pull-right">Создать / Обновить карту сайта <icon class="icon-check icon-white"></icon></button>
        </form>
    </div>
    <!-- End Tab Content  -->
</div>