<?php
/*
========================================
 Agent Shop CMS 
----------------------------------------
 http://ascms.ru/
----------------------------------------
 Copyright (c) Дмитрий Дьяконов
----------------------------------------
 Данный код защищен авторскими правами
========================================
*/

require_once 'modules/list.php';

for ($j = 0; $j < count($modules); $j++) {

    if (isset($modules[$j]['name'])) {
        if (file_exists('modules/' . $modules[$j]['name'] . '/index.php')){
            require_once 'modules/' . $modules[$j]['name'] . '/index.php';
        }
    }

}


/* Подключение основного шаблона */
ob_start();
include('templates/' . $template . '/main.tpl');
$html = ob_get_contents();
ob_end_clean();

/* Главная страница */
$html = str_replace('{content}', $content, $html);
$html = str_replace('{title}', $title, $html);
$html = str_replace('{keywords}', $keywords, $html);
$html = str_replace('{description}', $description, $html);
$html = str_replace('{URL}', $url, $html);
$html = str_replace('{THEME}', '/templates/' . $template, $html);
$html = str_replace('{catalog}', $catalog, $html);
$html = str_replace('{note}', $cnt_note, $html);

/* Модули */

for ($i = 0; $i <= count($modules) - 1; $i++) {
    if (isset($modules[$i]['name'])) {
        if (file_exists('modules/' . $modules[$i]['name'] . '/shortcode.php')){
            require_once 'modules/' . $modules[$i]['name'] . '/shortcode.php';
        }
    }

}


echo $html;
?>