<!DOCTYPE html>
<html>
<head>
    <meta charset="utf-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <meta name="description" content="{description}">
    <meta name="keywords" content="{keywords}"/>
    <link rel="shortcut icon" href="{THEME}/img/favicon.ico"/>
    <title>{title}</title>
    <link href='http://fonts.googleapis.com/css?family=PT+Sans:400,700&subset=latin,cyrillic' rel='stylesheet'
          type='text/css'>
    <link rel="stylesheet" href="{THEME}/css/bootstrap.css"/>
    <link rel="stylesheet" href="{THEME}/css/engine.css" type="text/css"/>
    <link rel="stylesheet" href="{THEME}/css/style.css" type="text/css"/>
    <link rel="stylesheet" href="{THEME}/css/jquery.fancybox-1.3.4.css" type="text/css"/>
    <script src="{THEME}/js/jquery-1.8.2.min.js"></script>
    <script type="text/javascript" src="{THEME}/js/elements.js"></script>
    <script type="text/javascript" src="/engine/ajax/notebook.js"></script>
    <script type="text/javascript" src="{THEME}/js/trans-banner.min.js"></script>
    <script type="text/javascript" src="{THEME}/js/jquery.easing.1.3.min.js"></script>
    <script type="text/javascript" src="{THEME}/js/jquery.fancybox-1.3.4.pack.js"></script>
    <script type="text/javascript">
        $(document).ready(function(){

            $("#gallery ul li a").fancybox({
                titleShow: false,
                overlayShow: true,
                overlayOpacity: 0.5,
                zoomSpeedIn: 1500,
                zoomSpeedOut:600
            });
        });
    </script>
    <script type="text/javascript" src="{THEME}/js/bootstrap.min.js"></script>
    <script src="{THEME}/js/libs.js"></script>
    <!--[if lt IE 9]>
    <script src="https://oss.maxcdn.com/libs/html5shiv/3.7.0/html5shiv.js"></script>
    <script src="https://oss.maxcdn.com/libs/respond.js/1.3.0/respond.min.js"></script>
    <![endif]-->
</head>

<body>
<div class="container">
    <div class="topline">
        <div class="row">
            <div class="col-lg-9">
            </div>
            <div class="col-lg-3">
                {mod_sharelink}
            </div>
        </div>
    </div>
    <header>
        <div class="row">
            <div class="col-lg-4">
                <a href="{URL}"><img src="{THEME}/img/logo.png" border="0" alt="{title}" title="{title}"
                                     width="286"/></a>
            </div>
            <div class="col-lg-8">
                <a class="pull-right thumbnail" href="#"><img src="{THEME}/img/banner_468x60.png" border="0"/></a>
            </div>
        </div>
    </header>
    <nav class="navbar" role="navigation">
        <ul class="nav navbar-nav">
            <li><a href="{URL}">Главная</a></li>
            <li><a href="{URL}/news/">Новости</a></li>
            <li><a href="{URL}/page/about/">О магазине</a></li>
            <li><a href="{URL}/page/delivery/">Оплата и доставка</a></li>
            <li><a href="{URL}/page/support/">Служба поддержки</a></li>
            <li><a href="{URL}/notebook.php" onClick="notepad_open()">Блокнот (<span id="c_n">{note}</span>)</a></li>
            <li><a href="http://www.oplata.info/delivery/delivery.asp" target="_blank">Мои покупки</a></li>
        </ul>

        <form class="navbar-form navbar-right" role="search" action="{URL}/search/" method="post">
            <div class="form-group">
                <input type="text" class="search form-control" name="words" placeholder="Поиск товара...">
            </div>
            <button type="submit" class="btn btn-default search-btn"><span class="glyphicon glyphicon-search"></span>
            </button>
        </form>
    </nav>
    <div class="row">
        <div class="col-lg-12">
            {content}
        </div>
        <!--/span-->

    </div>
    <!--/row-->

    <hr>

    <footer>
        <div class="pull-left">
            <p>Все права защищены &copy; 2013 AgentShop CMS <br/>
               При использовании материалов сайта ссылка на сайт обязательна.</p>
        </div>
        <div class="pull-right">
            <span class="counter"><img src="{THEME}/img/banner_88x31.png" border="0"/></span>
            <span class="counter"><img src="{THEME}/img/banner_88x31.png" border="0"/></span>
            <span class="counter"><img src="{THEME}/img/banner_88x31.png" border="0"/></span>
        </div>
    </footer>

</div>
</body>
</html>