<div class="row">
    <div class="col-lg-9">
        <h2>Информация о продавце {seller}</h2>
        <div class="divider"></div>
        <div class="row">
            <div class="col-lg-9">
                <div class="rowgoods"><b>Продавец:</b> {name_seller}</div>
                <div class="rowgoods"><b>Зарегистрирован:</b> {date_registration}</div>
                <div class="rowgoods"><b>ФИО:</b> {fio}</div>
                <div class="rowgoods"><b>Страна проживания:</b> {address}</div>
                <div class="rowgoods"><b>Контактный телефон:</b> {phone}</div>
                <div class="rowgoods"><b>Сайт:</b> {url_adress}</div>
                <div class="rowgoods"><b>ICQ:</b> {icq}</div>
                <div class="rowgoods"><b>WM-идентификатор:</b> {wmid}</div>
            </div>
            <div class="col-lg-3">
                <div id="seller_stat">
                    {rating_seller}
                    <div class="stat">Рейтинг: <b>{statistics_rating}</b> /BL: {BL} </div>
                </div>
            </div>
        </div>
        <div class="row">
            <div class="col-lg-12">
                <div class="rowgoods"><b>Требования продавца к покупателям при оплате товара в кредит:</b> {demand}</div>
                <div class="rowgoods"><b>Статистика продавца:</b><br/>
                    Рейтинг продавца: <b>{statistics_rating}</b><br/>
                    Количество товаров: <b>{statistics_cnt_goods}</b><br/>
                    Количество продаж: <b>{statistics_cnt_sell}</b><br/>
                    Количество возвратов: <b>{statistics_cnt_return}</b><br/>
                    Количество положительных отзывов: <b>{statistics_cnt_good_responses}</b><br/>
                    Количество отрицательных отзывов: <b>{statistics_cnt_bad_responses}</b><br/>
                </div>
                <div class="seller_goods">
                    <h2>Все товары продавца {seller}:</h2>
                    <table class="table">
                        <tr class="headline">
                            <td class="checkgood"></td>
                            <td class="namegoods">Название</td>
                            <td class="sales">Продаж</td>
                            <td class="returns">Возвратов</td>
                            <td class="numbers"><img src="{THEME}/img/plus.png" border="0" align="absmiddle" alt="Положительных отзывов" title="Положительных отзывов"/></td>
                            <td class="numbers"><img src="{THEME}/img/minus.png" border="0" align="absmiddle" alt="Отрицательных отзывов" title="Отрицательных отзывов"/></td>
                            <td class="pricegood">Цена</td>
                            <td class="featgood"></td>
                        </tr>
                    </table>
                    <table class="table">
                        {seller_goods}
                    </table>
                </div>
                <div class="pull-left">{pagination}</div>
                <div class="pull-right">{sortrows}</div>
            </div>
        </div>
    </div>
    <div class="col-lg-3">
        <h2>Каталог</h2>
        {catalog}
    </div>
</div>
